
%global meadversion 1.7.7
%global namedversion 1.7.7.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 4
%global namedversionrel redhat-3

%bcond_with javadoc
%bcond_without mead
%bcond_with tests

%{?scl:%scl_package %{?scl_prefix}slf4j}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.7.7.redhat-3

Name:           %{?scl_prefix}slf4j
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        SLF4J
Group:          Development/Java

%if %with mead
Source100: slf4j-parent-1.7.7.redhat-3-scm-sources.zip
Source102: slf4j-api-1.7.7.redhat-3.pom
Source103: slf4j-api-1.7.7.redhat-3-sources.jar
Source104: slf4j-api-1.7.7.redhat-3-javadoc.jar
Source105: slf4j-api-1.7.7.redhat-3-tests.jar
Source106: slf4j-api-1.7.7.redhat-3.jar
Source107: slf4j-ext-1.7.7.redhat-3-javadoc.jar
Source108: slf4j-ext-1.7.7.redhat-3-sources.jar
Source109: slf4j-ext-1.7.7.redhat-3.pom
Source110: slf4j-ext-1.7.7.redhat-3.jar
Source111: integration-1.7.7.redhat-3.jar
Source112: integration-1.7.7.redhat-3.pom
Source113: slf4j-nop-1.7.7.redhat-3.jar
Source114: slf4j-nop-1.7.7.redhat-3-sources.jar
Source115: slf4j-nop-1.7.7.redhat-3.pom
Source116: slf4j-nop-1.7.7.redhat-3-javadoc.jar
Source117: jul-to-slf4j-1.7.7.redhat-3.jar
Source118: jul-to-slf4j-1.7.7.redhat-3-javadoc.jar
Source119: jul-to-slf4j-1.7.7.redhat-3.pom
Source120: jul-to-slf4j-1.7.7.redhat-3-sources.jar
Source121: slf4j-simple-1.7.7.redhat-3.pom
Source122: slf4j-simple-1.7.7.redhat-3.jar
Source123: slf4j-simple-1.7.7.redhat-3-sources.jar
Source124: slf4j-simple-1.7.7.redhat-3-javadoc.jar
Source125: slf4j-log4j12-1.7.7.redhat-3.jar
Source126: slf4j-log4j12-1.7.7.redhat-3-sources.jar
Source127: slf4j-log4j12-1.7.7.redhat-3.pom
Source128: slf4j-log4j12-1.7.7.redhat-3-javadoc.jar
Source129: slf4j-jcl-1.7.7.redhat-3-javadoc.jar
Source130: slf4j-jcl-1.7.7.redhat-3.jar
Source131: slf4j-jcl-1.7.7.redhat-3.pom
Source132: slf4j-jcl-1.7.7.redhat-3-sources.jar
Source133: jcl-over-slf4j-1.7.7.redhat-3-sources.jar
Source134: jcl-over-slf4j-1.7.7.redhat-3-javadoc.jar
Source135: jcl-over-slf4j-1.7.7.redhat-3.pom
Source136: jcl-over-slf4j-1.7.7.redhat-3.jar
Source137: slf4j-android-1.7.7.redhat-3.jar
Source138: slf4j-android-1.7.7.redhat-3-javadoc.jar
Source139: slf4j-android-1.7.7.redhat-3-sources.jar
Source140: slf4j-android-1.7.7.redhat-3.pom
Source141: slf4j-migrator-1.7.7.redhat-3.jar
Source142: slf4j-migrator-1.7.7.redhat-3-javadoc.jar
Source143: slf4j-migrator-1.7.7.redhat-3.pom
Source144: slf4j-migrator-1.7.7.redhat-3-sources.jar
Source145: log4j-over-slf4j-1.7.7.redhat-3-javadoc.jar
Source146: log4j-over-slf4j-1.7.7.redhat-3.pom
Source147: log4j-over-slf4j-1.7.7.redhat-3-sources.jar
Source148: log4j-over-slf4j-1.7.7.redhat-3.jar
Source149: slf4j-parent-1.7.7.redhat-3-project-sources.tar.gz
Source150: slf4j-parent-1.7.7.redhat-3-javadoc.jar
Source151: slf4j-parent-1.7.7.redhat-3.pom
Source152: slf4j-jdk14-1.7.7.redhat-3-javadoc.jar
Source153: slf4j-jdk14-1.7.7.redhat-3.pom
Source154: slf4j-jdk14-1.7.7.redhat-3.jar
Source155: slf4j-jdk14-1.7.7.redhat-3-sources.jar
Source156: slf4j-site-1.7.7.redhat-3-sources.jar
Source157: slf4j-site-1.7.7.redhat-3.pom
Source158: slf4j-site-1.7.7.redhat-3.jar
Source159: osgi-over-slf4j-1.7.7.redhat-3-sources.jar
Source160: osgi-over-slf4j-1.7.7.redhat-3.jar
Source161: osgi-over-slf4j-1.7.7.redhat-3-javadoc.jar
Source162: osgi-over-slf4j-1.7.7.redhat-3.pom
%endif

License:        MIT
URL:            http://www.slf4j.org
Requires:       %{?scl_prefix}jcl-over-slf4j = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}slf4j-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}slf4j-ext = %{epoch}:%{version}-%{release}
#Requires:       %{?scl_prefix_eap}slf4j-simple = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Top SLF4J project pom.xml file.

%package -n %{?scl_prefix}slf4j-api
Summary:        SLF4J API Module
Group:          Development/Java


%description -n %{?scl_prefix}slf4j-api
The slf4j API.

%package -n %{?scl_prefix}slf4j-simple
Summary:        SLF4J Simple Binding
Group:          Development/Java

Requires:       %{?scl_prefix_eap}slf4j-api = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}slf4j-simple
SLF4J Simple binding.

%package -n %{?scl_prefix}slf4j-nop
Summary:        SLF4J NOP Binding
Group:          Development/Java

Requires:       %{?scl_prefix_eap}slf4j-api = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}slf4j-nop
SLF4J NOP Binding.

%package -n %{?scl_prefix}slf4j-jdk14
Summary:        SLF4J JDK14 Binding
Group:          Development/Java

Requires:       %{?scl_prefix_eap}slf4j-api = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}slf4j-jdk14
SLF4J JDK14 Binding.

%package -n %{?scl_prefix}slf4j-log4j12
Summary:        SLF4J LOG4J-12 Binding
Group:          Development/Java

Requires:       %{?scl_prefix_eap}slf4j-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}log4j >= 0:1.2.17

%description -n %{?scl_prefix}slf4j-log4j12
SLF4J LOG4J-12 Binding.

%package -n %{?scl_prefix}slf4j-jcl
Summary:        SLF4J JCL Binding
Group:          Development/Java

Requires:       %{?scl_prefix_eap}slf4j-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}commons-logging >= 0:1.1.1

%description -n %{?scl_prefix}slf4j-jcl
SLF4J JCL Binding.

%package -n %{?scl_prefix}slf4j-android
Summary:        SLF4J Android Binding
Group:          Development/Java

Requires:       %{?scl_prefix_eap}slf4j-api = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}slf4j-android
SLF4J Android Binding.

%package -n %{?scl_prefix}slf4j-ext
Summary:        SLF4J Extensions Module
Group:          Development/Java

Requires:       %{?scl_prefix_eap}slf4j-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}cal10n-api >= 0:0.8.1

%description -n %{?scl_prefix}slf4j-ext
Extensions to the SLF4J API.

%package -n %{?scl_prefix}jcl-over-slf4j
Summary:        JCL 1.1.1 implemented over SLF4J
Group:          Development/Java

Requires:       %{?scl_prefix_eap}slf4j-api = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}jcl-over-slf4j
JCL 1.1.1 implemented over SLF4J.

%package -n %{?scl_prefix}log4j-over-slf4j
Summary:        Log4j Implemented Over SLF4J
Group:          Development/Java

Requires:       %{?scl_prefix_eap}slf4j-api = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}log4j-over-slf4j
Log4j implemented over SLF4J.

%package -n %{?scl_prefix}jul-to-slf4j
Summary:        JUL to SLF4J bridge
Group:          Development/Java

Requires:       %{?scl_prefix_eap}slf4j-api = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}jul-to-slf4j
JUL to SLF4J bridge.

%package -n %{?scl_prefix}osgi-over-slf4j
Summary:        OSGi LogService implemented over SLF4J
Group:          Development/Java


%description -n %{?scl_prefix}osgi-over-slf4j
OSGi LogService implementation over SLF4J.

%package -n %{?scl_prefix}slf4j-integration
Summary:        SLF4J Integration tests
Group:          Development/Java

Requires:       %{?scl_prefix_eap}slf4j-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}junit >= 0:3.8.1
Requires:       %{?scl_prefix_eap}ant-junit >= 0:1.6.5
Requires:       %{?scl_prefix_eap}org.apache.felix.main >= 0:2.0.2

%description -n %{?scl_prefix}slf4j-integration
SLF4J integration tests.

%package -n %{?scl_prefix}slf4j-site
Summary:        SLF4J Site
Group:          Development/Java


%description -n %{?scl_prefix}slf4j-site
SLF4J Site.

%package -n %{?scl_prefix}slf4j-migrator
Summary:        SLF4J Migrator
Group:          Development/Java


%description -n %{?scl_prefix}slf4j-migrator
SLF4J Migrator.

%if %with javadoc
%package javadoc
Summary:        Javadoc for slf4j-parent
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n slf4j -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/slf4j-api-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/slf4j-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/slf4j-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-api-%{namedversion}-sources.jar
%if %with tests
%{__cp} -p %{_sourcedir}/slf4j-api-%{namedversion}-tests.jar %{buildroot}%{_javadir}/slf4j-api-%{namedversion}-tests.jar
%endif
%{__cp} -p %{_sourcedir}/slf4j-simple-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-simple-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/slf4j-simple-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-simple-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/slf4j-simple-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-simple-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/slf4j-nop-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-nop-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/slf4j-nop-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-nop-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/slf4j-nop-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-nop-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/slf4j-jdk14-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-jdk14-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/slf4j-jdk14-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-jdk14-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/slf4j-jdk14-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-jdk14-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/slf4j-log4j12-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-log4j12-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/slf4j-log4j12-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-log4j12-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/slf4j-log4j12-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-log4j12-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/slf4j-jcl-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-jcl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/slf4j-jcl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-jcl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/slf4j-jcl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-jcl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/slf4j-android-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-android-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/slf4j-android-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-android-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/slf4j-android-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-android-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/slf4j-ext-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-ext-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/slf4j-ext-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-ext-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/slf4j-ext-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-ext-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jcl-over-slf4j-%{namedversion}.jar %{buildroot}%{_javadir}/jcl-over-slf4j-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jcl-over-slf4j-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jcl-over-slf4j-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jcl-over-slf4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jcl-over-slf4j-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/log4j-over-slf4j-%{namedversion}.jar %{buildroot}%{_javadir}/log4j-over-slf4j-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/log4j-over-slf4j-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/log4j-over-slf4j-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/log4j-over-slf4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/log4j-over-slf4j-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jul-to-slf4j-%{namedversion}.jar %{buildroot}%{_javadir}/jul-to-slf4j-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jul-to-slf4j-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jul-to-slf4j-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jul-to-slf4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jul-to-slf4j-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/osgi-over-slf4j-%{namedversion}.jar %{buildroot}%{_javadir}/osgi-over-slf4j-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/osgi-over-slf4j-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/osgi-over-slf4j-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/osgi-over-slf4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/osgi-over-slf4j-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/integration-%{namedversion}.jar %{buildroot}%{_javadir}/integration-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/slf4j-site-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-site-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/slf4j-site-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-site-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/slf4j-migrator-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-migrator-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/slf4j-migrator-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-migrator-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/slf4j-migrator-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-migrator-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/slf4j-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/slf4j-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/slf4j-%{namedversion} -x META-INF/\*
%{__ln_s} slf4j-migrator-%{namedversion} %{buildroot}%{_javadocdir}/slf4j
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}slf4j-api
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/slf4j-api-%{namedversion}.jar
%{_javadir}/slf4j-api.jar
%if %with javadoc
%{_javadir}/slf4j-api-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-api-javadoc.jar
%endif
%{_javadir}/slf4j-api-%{namedversion}-sources.jar
%{_javadir}/slf4j-api-sources.jar
%if %with tests
%{_javadir}/slf4j-api-%{namedversion}-tests.jar
%{_javadir}/slf4j-api-tests.jar
%endif

%files -n %{?scl_prefix}slf4j-simple
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-simple-%{namedversion}.jar
%{_javadir}/slf4j-simple.jar
%if %with javadoc
%{_javadir}/slf4j-simple-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-simple-javadoc.jar
%endif
%{_javadir}/slf4j-simple-%{namedversion}-sources.jar
%{_javadir}/slf4j-simple-sources.jar

%files -n %{?scl_prefix}slf4j-nop
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-nop-%{namedversion}.jar
%{_javadir}/slf4j-nop.jar
%if %with javadoc
%{_javadir}/slf4j-nop-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-nop-javadoc.jar
%endif
%{_javadir}/slf4j-nop-%{namedversion}-sources.jar
%{_javadir}/slf4j-nop-sources.jar

%files -n %{?scl_prefix}slf4j-jdk14
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-jdk14-%{namedversion}.jar
%{_javadir}/slf4j-jdk14.jar
%if %with javadoc
%{_javadir}/slf4j-jdk14-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-jdk14-javadoc.jar
%endif
%{_javadir}/slf4j-jdk14-%{namedversion}-sources.jar
%{_javadir}/slf4j-jdk14-sources.jar

%files -n %{?scl_prefix}slf4j-log4j12
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-log4j12-%{namedversion}.jar
%{_javadir}/slf4j-log4j12.jar
%if %with javadoc
%{_javadir}/slf4j-log4j12-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-log4j12-javadoc.jar
%endif
%{_javadir}/slf4j-log4j12-%{namedversion}-sources.jar
%{_javadir}/slf4j-log4j12-sources.jar

%files -n %{?scl_prefix}slf4j-jcl
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-jcl-%{namedversion}.jar
%{_javadir}/slf4j-jcl.jar
%if %with javadoc
%{_javadir}/slf4j-jcl-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-jcl-javadoc.jar
%endif
%{_javadir}/slf4j-jcl-%{namedversion}-sources.jar
%{_javadir}/slf4j-jcl-sources.jar

%files -n %{?scl_prefix}slf4j-android
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-android-%{namedversion}.jar
%{_javadir}/slf4j-android.jar
%if %with javadoc
%{_javadir}/slf4j-android-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-android-javadoc.jar
%endif
%{_javadir}/slf4j-android-%{namedversion}-sources.jar
%{_javadir}/slf4j-android-sources.jar

%files -n %{?scl_prefix}slf4j-ext
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-ext-%{namedversion}.jar
%{_javadir}/slf4j-ext.jar
%if %with javadoc
%{_javadir}/slf4j-ext-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-ext-javadoc.jar
%endif
%{_javadir}/slf4j-ext-%{namedversion}-sources.jar
%{_javadir}/slf4j-ext-sources.jar

%files -n %{?scl_prefix}jcl-over-slf4j
%defattr(0644,root,root,0755)
%{_javadir}/jcl-over-slf4j-%{namedversion}.jar
%{_javadir}/jcl-over-slf4j.jar
%if %with javadoc
%{_javadir}/jcl-over-slf4j-%{namedversion}-javadoc.jar
%{_javadir}/jcl-over-slf4j-javadoc.jar
%endif
%{_javadir}/jcl-over-slf4j-%{namedversion}-sources.jar
%{_javadir}/jcl-over-slf4j-sources.jar

%files -n %{?scl_prefix}log4j-over-slf4j
%defattr(0644,root,root,0755)
%{_javadir}/log4j-over-slf4j-%{namedversion}.jar
%{_javadir}/log4j-over-slf4j.jar
%if %with javadoc
%{_javadir}/log4j-over-slf4j-%{namedversion}-javadoc.jar
%{_javadir}/log4j-over-slf4j-javadoc.jar
%endif
%{_javadir}/log4j-over-slf4j-%{namedversion}-sources.jar
%{_javadir}/log4j-over-slf4j-sources.jar

%files -n %{?scl_prefix}jul-to-slf4j
%defattr(0644,root,root,0755)
%{_javadir}/jul-to-slf4j-%{namedversion}.jar
%{_javadir}/jul-to-slf4j.jar
%if %with javadoc
%{_javadir}/jul-to-slf4j-%{namedversion}-javadoc.jar
%{_javadir}/jul-to-slf4j-javadoc.jar
%endif
%{_javadir}/jul-to-slf4j-%{namedversion}-sources.jar
%{_javadir}/jul-to-slf4j-sources.jar

%files -n %{?scl_prefix}osgi-over-slf4j
%defattr(0644,root,root,0755)
%{_javadir}/osgi-over-slf4j-%{namedversion}.jar
%{_javadir}/osgi-over-slf4j.jar
%if %with javadoc
%{_javadir}/osgi-over-slf4j-%{namedversion}-javadoc.jar
%{_javadir}/osgi-over-slf4j-javadoc.jar
%endif
%{_javadir}/osgi-over-slf4j-%{namedversion}-sources.jar
%{_javadir}/osgi-over-slf4j-sources.jar

%files -n %{?scl_prefix}slf4j-integration
%defattr(0644,root,root,0755)
%{_javadir}/integration-%{namedversion}.jar
%{_javadir}/integration.jar

%files -n %{?scl_prefix}slf4j-site
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-site-%{namedversion}.jar
%{_javadir}/slf4j-site.jar
%{_javadir}/slf4j-site-%{namedversion}-sources.jar
%{_javadir}/slf4j-site-sources.jar

%files -n %{?scl_prefix}slf4j-migrator
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-migrator-%{namedversion}.jar
%{_javadir}/slf4j-migrator.jar
%if %with javadoc
%{_javadir}/slf4j-migrator-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-migrator-javadoc.jar
%endif
%{_javadir}/slf4j-migrator-%{namedversion}-sources.jar
%{_javadir}/slf4j-migrator-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/slf4j-parent-%{namedversion}
%{_javadocdir}/slf4j-parent
%endif

%changelog
* Mon Feb 15 2016 Yong Yang <yyang@redhat.com> - 1.7.7-4.redhat_3.1
- Fix slf4j-api source jar

* Mon Sep 28 2015 David Walluck <dwalluck@redhat.com> - 1.7.7-3.redhat_2.1
- fix resource copying

* Tue Sep 15 2015 Fernando Nasser <fnasser@redhat.com> - 1.7.7-2.redhat_1.2
- Remove from main package dependencies subpackage not needed by EAP7

* Tue Jun 23 2015 David Walluck <dwalluck@redhat.com> - 1.7.7-1.redhat_1.2
- fix version

* Tue Jun 23 2015 David Walluck <dwalluck@redhat.com> - 1.7.7-1.redhat_1.1
- build RPMS

* Tue Jun 23 2015 David Walluck <dwalluck@redhat.com> - 1.7.7-1.redhat_1.1
- release

